<?php

namespace App\Models;

use CodeIgniter\Model;

class Main extends Model
{

    var $data = array();

    public function __construct()
    {
        $this->data = $this->DefaultVariable();
    }

    public function DefaultVariable()
    {
        helper("main");
        $session = session();
        $data = array();
        $data['path'] = PATH;
        $data['template'] = TEMPLATE;
        $data['segment_a'] = getSegment(1);
        $data['segment_b'] = getSegment(2);
        $data['segment_c'] = getSegment(3);
        $data['session'] = $session->get();



        return $data;
    }

}
